%global CA_ALIAS NorduGrid
%global CA_LOWER %(echo %{CA_ALIAS}|tr '[A-Z]' '[a-z]')
%global CA_HASH 1f0e8352
%global X509_CERT_DIR /etc/grid-security/certificates
%global GRID_SECURITY_DIR /etc/grid-security

Name:		ca-%{CA_LOWER}-certrequest-config
Version:	0.3
Release:	1%{?dist}
Source:		%{name}-%{version}.tar.gz
License:	ASL 2.0
Group:		System Environment/Base
Url:		http://www.nordugrid.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Provides:       ca_%{CA_ALIAS}-certrequest-config = %{version}
Obsoletes:	ca_%{CA_ALIAS}-certrequest-config < 0.3

Summary:	Configuration files for grid-cert-request with %{CA_ALIAS} certification authority with hash %{CA_HASH}

%description
This package contains configuration files for openssl (which is used by
Globus grid-cert request) for trusted certification authority %{CA_ALIAS}.

%prep
%setup -q

%build
exit 0

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{X509_CERT_DIR}

for i in grid-security.conf globus-user-ssl.conf globus-host-ssl.conf directions; do
  cp -p $i.%{CA_HASH} $RPM_BUILD_ROOT%{X509_CERT_DIR}
done

%post
X509_CERT_DIR=%{X509_CERT_DIR}
GRID_SECURITY_DIR=%{GRID_SECURITY_DIR}

if cd $X509_CERT_DIR; then
    if test -f globus-host-ssl.conf.%{CA_HASH} ; then
    if test -f globus-user-ssl.conf.%{CA_HASH} ; then
    if test -f grid-security.conf.%{CA_HASH} ; then
      ln -sf $X509_CERT_DIR/globus-host-ssl.conf.%{CA_HASH} $GRID_SECURITY_DIR/globus-host-ssl.conf
      ln -sf $X509_CERT_DIR/globus-user-ssl.conf.%{CA_HASH} $GRID_SECURITY_DIR/globus-user-ssl.conf
      ln -sf $X509_CERT_DIR/grid-security.conf.%{CA_HASH}   $GRID_SECURITY_DIR/grid-security.conf
      ln -sf $X509_CERT_DIR/directions.%{CA_HASH}	    $GRID_SECURITY_DIR/directions
      exit 0
    fi
    fi
    fi
else
    echo "Problem with security directory: $X509_CERT_DIR"
    exit 1
fi

%postun
X509_CERT_DIR=%{X509_CERT_DIR}
GRID_SECURITY_DIR=%{GRID_SECURITY_DIR}

if [ $1 -eq 0 ]; then
  # Remove dangling links
  if cd $X509_CERT_DIR; then
    for i in globus-host-ssl.conf globus-user-ssl.conf grid-security.conf directions; do
      if test -r $GRID_SECURITY_DIR/$i; then
        :
      else
        rm -f $GRID_SECURITY_DIR/$i
      fi
    done
  fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
%config(noreplace) %{X509_CERT_DIR}/grid-security.conf.%{CA_HASH}
%config(noreplace) %{X509_CERT_DIR}/globus-user-ssl.conf.%{CA_HASH}
%config(noreplace) %{X509_CERT_DIR}/globus-host-ssl.conf.%{CA_HASH}
%config(noreplace) %{X509_CERT_DIR}/directions.%{CA_HASH}

%changelog
* Mon Mar 31 2014 Anders Waananen <waananen@nbi.dk> 0.3-1
- Rename package to ca-<ca_alias_lower_case>-certrequest-config
- Bump version

* Tue Mar 18 2014 Anders Waananen <waananen@nbi.dk>
- Specfile clean up
- Change license to ASL 2.0
- Change link and wording in directions file

* Tue Mar 28 2006 Anders Waananen <waananen@nbi.dk> 0.2-1
- Add directions file

* Mon Aug 11 2003 Anders Waananen <waananen@nbi.dk> 0.1-1
- Initial build.
